Subject: bug#46847: 28.0.50; [native-comp] assume pseudo-insns should be verified

From: Andrea Corallo <[email-masked]>
Date: Wed, 20 Mar 2024 09:58:53 -0400

Eli Zaretskii <[email-masked]> writes:

>> Resent-To: [email-masked]
>> Cc: [email-masked], Pip Cet <[email-masked]>
>> From: Andrea Corallo <[email-masked]>
>> Date: Wed, 20 Mar 2024 05:30:04 -0400
>> 
>> I'm closing this old bug as with 0b0c7da8c80 I've installed a sanitizer
>> that instruments the code in order to check that compile time value
>> predictions of mvars are respected at runtime.  Mvars verified are all
>> mvars being tested by conditional branches, this to verify the correct
>> CFG/execution of the program.
>> 
>> Enabling sanitizer instrumentation and runtime verification I'm able to
>> bootstrap the compiler and run all the compiler testsuite.
>> 
>> We might extend this further in the future but I think for now is okay.
>
> Thanks, but would it be possible to document the suggested use of this
> sanitizer in the comments somewhere?

Hi Eli,

that's a good point.

There are many usage scenarios, I just added a simple example at the
beginning of the 'Sanitizer pass specific code' section.

Thanks

  Andrea